The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Get the Failover Pair List

Prev Next

This URL creates the failover pair list available in the domain.

Resource URL

GET /domain/<domain_id>/failoverpair

Request Parameters

URL Parameters:

Field Name Description Data Type Mandatory
domainId Domain id Number Yes

Response Parameters

Following fields are returned.

Field Name Description Data Type
FailoverPairForDomainResponseList List of failover pair defined in the domain Array

Details of FailoverPairForDomainResponseList:

Field Name Description Data Type
failoverPairId Unique failover pair id, not required for POST Number
model Sensor model String
name Failover pair name String
templateDeviceId Template/Primary device id Number
peerDeviceId Peer/Secondary device id Number
templateDeviceName Template/Primary device name String
peerDeviceName Peer/Secondary device name String
isFailOpen Is failopen Boolean

Example

Request

GET https://<NSM_IP>/domain/0/failoverpair

Response

{
	"FailoverPairForDomain" : [{
			"failoverPairId" : 119,
			"name" : "NS9100_failover",
			"templateDeviceId" : 1004,
			"peerDeviceId" : 1003,
			"templateDeviceName" : "NS9100_NSM_API_FO_2",
			"peerDeviceName" : "NS9100_NSM_API_FO_1",
			"isFailOpen" : false
		}, {
			"failoverPairId" : 120,
			"name" : "M2950_failover",
			"templateDeviceId" : 1005,
			"peerDeviceId" : 1006,
			"templateDeviceName" : "M2950_NSM_API_FO_2",
			"peerDeviceName" : "M2950_NSM_API_FO_1",
			"isFailOpen" : false
		}
	]
} 
 

Error Information

Following error code is returned by this URL:

No HTTP Error Code SDK API errorId SDK API errorMessage
1 404 1105 Invalid domain